"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.raioXCreateCnpj = exports.raioXPurchasers = exports.raioXCancel = exports.raioXCancellationReasons = exports.raioXAvailableAcquirers = exports.raioXStatus = exports.raioXInfo = void 0;

var _status = require("./raioX/status/status.js");

var _availableacquirers = require("./raioX/availableacquirers/availableacquirers.js");

var _info = require("./raioX/info/info.js");

var _cancellationReasons = require("./raioX/cancellationReasons/cancellationReasons.js");

var _cancel = require("./raioX/cancel/cancel.js");

var _purchasers = require("./raioX/purchasers/purchasers.js");

var _createCnpj = require("./raioX/createCnpj/createCnpj.js");

var raioXStatus = (0, _status.service)();
exports.raioXStatus = raioXStatus;
var raioXAvailableAcquirers = (0, _availableacquirers.service)();
exports.raioXAvailableAcquirers = raioXAvailableAcquirers;
var raioXInfo = (0, _info.service)();
exports.raioXInfo = raioXInfo;
var raioXCancellationReasons = (0, _cancellationReasons.service)();
exports.raioXCancellationReasons = raioXCancellationReasons;
var raioXCancel = (0, _cancel.service)();
exports.raioXCancel = raioXCancel;
var raioXPurchasers = (0, _purchasers.service)();
exports.raioXPurchasers = raioXPurchasers;
var raioXCreateCnpj = (0, _createCnpj.service)();
exports.raioXCreateCnpj = raioXCreateCnpj;