import { nullable } from '../../../helpers/interface.js';
export var usersListPutInterface = {
  firstName: String,
  lastName: String,
  cpf: String,
  tokenLifeMinutes: Number,
  status: String,
  stoneCodes: Array,
  permissions: Array
};
export var usersListPostInterface = {
  firstName: String,
  lastName: String,
  fullName: String,
  email: String,
  cpf: String,
  tokenLifeMinutes: Number,
  status: String,
  role: String,
  stoneCodes: Array,
  permissions: Array
};
export var usersListPatchInterface = {
  firstName: nullable(String),
  lastName: nullable(String),
  cpf: nullable(String),
  status: nullable(String),
  role: nullable(Array),
  tokenLifeMinutes: Number
};