const { exec, exit } = require('shelljs');
const { join } = require('path');

const { DEBUG } = process.env;

const karma = join('node_modules/.bin/karma');
const karmaConfig = join('scripts/config/karma.conf.js');

console.log('Testing');

const cmd = `${karma} start ${karmaConfig} --colors` +
  `${DEBUG ? ' --browsers=Chrome --single-run=false --auto-watch' : ''}`;

try {
  const exitCode = exec(cmd).code;
  exit(exitCode);
} catch (err) {
  console.warn(err.message);
  exit(1);
}
