import { sdk } from './index.js';

describe('SDK V0 Entrypoint', () => {
  it('Should expose the correct number os modules', () => {
    expect(Object.values(sdk).length).to.be.equal(27);
  });

  it('Should expose API-related constants', () => {
    expect(sdk.API_URL).to.equal('https://customer-api.stone.com.br/');
    expect(sdk.PORTAL_API_URL).to.equal('https://portalapi.stone.com.br/');
  });
});
