import { service as statusService } from './raioX/status/status.js';
import { service as availableAcquirersService } from './raioX/availableacquirers/availableacquirers.js';
import { service as infoService } from './raioX/info/info.js';
import { service as cancellationReasons } from './raioX/cancellationReasons/cancellationReasons.js';
import { service as cancel } from './raioX/cancel/cancel.js';
import { service as purchasers } from './raioX/purchasers/purchasers.js';
import { service as createCnpj } from './raioX/createCnpj/createCnpj.js';

const raioXStatus = statusService();
const raioXAvailableAcquirers = availableAcquirersService();
const raioXInfo = infoService();
const raioXCancellationReasons = cancellationReasons();
const raioXCancel = cancel();
const raioXPurchasers = purchasers();
const raioXCreateCnpj = createCnpj();

export {
  raioXInfo,
  raioXStatus,
  raioXAvailableAcquirers,
  raioXCancellationReasons,
  raioXCancel,
  raioXPurchasers,
  raioXCreateCnpj,
};
