import { matchesInterface } from '../../../../helpers/interface.js';
import { postCancelInterface } from './cancelInterface.js';

describe('Cancel Interface.', () => {
  it('Should validate the POST payload according to the interface.', () => {
    const payload = {
      document: 'String',
      justification: 'String',
      requester: 'String',
      idReason: 1,
    };
    expect(matchesInterface(postCancelInterface)(payload))
      .to.be.true;
  });
});
