import { matchesInterface } from '../../../../helpers/interface.js';
import { postCreateCnpjInterface } from './createCnpjInterface.js';

describe('CreateCnpj Interface.', () => {
  it('Should validate the POST payload according to the interface.', () => {
    const payload = {
      identifier: 12345,
      contractedServices: [],
    };
    expect(matchesInterface(postCreateCnpjInterface)(payload))
      .to.be.true;
  });
});
