"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.usersListPatchInterface = exports.usersListPostInterface = exports.usersListPutInterface = void 0;

var _interface = require("../../../helpers/interface.js");

var usersListPutInterface = {
  firstName: String,
  lastName: String,
  cpf: String,
  tokenLifeMinutes: Number,
  status: String,
  stoneCodes: Array,
  permissions: Array
};
exports.usersListPutInterface = usersListPutInterface;
var usersListPostInterface = {
  firstName: String,
  lastName: String,
  fullName: String,
  email: String,
  cpf: String,
  tokenLifeMinutes: Number,
  status: String,
  role: String,
  stoneCodes: Array,
  permissions: Array
};
exports.usersListPostInterface = usersListPostInterface;
var usersListPatchInterface = {
  firstName: (0, _interface.nullable)(String),
  lastName: (0, _interface.nullable)(String),
  cpf: (0, _interface.nullable)(String),
  status: (0, _interface.nullable)(String),
  role: (0, _interface.nullable)(Array),
  tokenLifeMinutes: Number
};
exports.usersListPatchInterface = usersListPatchInterface;