"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.merchant = exports.permission = exports.tags = exports.usersList = exports.identityProvider = exports.currentUser = void 0;

var _currentUser = require("./currentUser/currentUser.js");

var _identityProvider = require("./identityProvider/identityProvider.js");

var _usersList = require("./usersList/usersList.js");

var _tags = require("./tags/tags.js");

var _permission = require("./permission/permission.js");

var _merchant = require("./merchant/merchant.js");

const currentUser = (0, _currentUser.service)();
exports.currentUser = currentUser;
const identityProvider = (0, _identityProvider.service)();
exports.identityProvider = identityProvider;
const usersList = (0, _usersList.service)();
exports.usersList = usersList;
const tags = (0, _tags.service)();
exports.tags = tags;
const permission = (0, _permission.service)();
exports.permission = permission;
const merchant = (0, _merchant.service)();
exports.merchant = merchant;