import sinon from 'sinon';

import { service as purchasersService } from './purchasers.js';

describe('Raiox get purchasers Module', () => {
  it('Should have methods after initialization.', () => {
    const service = purchasersService();
    expect(service.get).to.be.a('function');
  });

  it('Should call get request.', () => {
    const spy = sinon.spy();

    const getRequest = () => spy;

    const service = purchasersService(getRequest);

    service.get();

    expect(spy).to.have.been.calledOnce;
  });
});
