import { service as currentUserService } from './currentUser/currentUser.js';
import { service as identityProviderService } from './identityProvider/identityProvider.js';
import { service as usersListService } from './usersList/usersList.js';
import { service as tagsService } from './tags/tags.js';
import { service as permissionService } from './permission/permission.js';
import { service as merchantService } from './merchant/merchant.js';

const currentUser = currentUserService();
const identityProvider = identityProviderService();
const usersList = usersListService();
const tags = tagsService();
const permission = permissionService();
const merchant = merchantService();

export {
  currentUser,
  identityProvider,
  usersList,
  tags,
  permission,
  merchant,
};
